<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <!--图标 SkinView-->
    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/group_list_item_imageView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:contentDescription="@null"
        android:scaleType="fitCenter"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_height="30dp"
        tools:layout_width="30dp"
        tools:visibility="visible" />

    <!--名称-->
    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/group_list_item_textView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="?attr/qmui_common_list_item_icon_margin_right"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:lineSpacingExtra="?attr/qmui_common_list_item_title_line_space"
        android:singleLine="true"
        android:textColor="?attr/qmui_skin_support_common_list_title_color"
        android:textSize="?attr/qmui_common_list_item_title_h_text_size"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/cl_new"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@+id/group_list_item_imageView"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_goneMarginStart="0dp"
        tools:text="标题"
        tools:textColor="#000"
        tools:textSize="12sp"
        tools:visibility="visible" />

    <!--红点-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_new"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_marginStart="?attr/qmui_common_list_item_holder_margin_with_title"
        android:layout_marginBottom="14dp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/group_list_item_detailTextView"
        app:layout_constraintStart_toEndOf="@+id/group_list_item_textView"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/group_list_item_tips_new"
            style="?attr/QMUITipNewStyle"
            android:contentDescription="Update tips"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:layout_height="17dp"
            tools:layout_width="37dp"
            tools:src="@drawable/qmui_icon_tip_new"
            tools:visibility="visible" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/group_list_item_tips_dot"
            style="?attr/QMUITipPointStyle"
            android:contentDescription="Red dot"
            android:src="@drawable/qmui_tips_point"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:layout_height="8dp"
            tools:layout_width="8dp"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--描述文案-->
    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/group_list_item_detailTextView"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="?attr/qmui_common_list_item_holder_margin_with_title"
        android:layout_marginEnd="?attr/qmui_common_list_item_accessory_margin_left"
        android:ellipsize="end"
        android:gravity="end"
        android:includeFontPadding="false"
        android:lineSpacingExtra="?attr/qmui_common_list_item_detail_line_space"
        android:textColor="?attr/qmui_skin_support_common_list_detail_color"
        android:textSize="?attr/qmui_common_list_item_detail_h_text_size"
        android:visibility="gone"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/group_list_item_accessoryView"
        app:layout_constraintStart_toEndOf="@+id/cl_new"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_goneMarginEnd="0dp"
        tools:text="描述"
        tools:textColor="#000"
        tools:textSize="12sp"
        tools:visibility="visible" />

    <FrameLayout
        android:id="@+id/group_list_item_accessoryView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_width="80dp"
        tools:visibility="visible" />

</merge>